// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
funcprot(0);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

R=10; // Ohm
L=1.0E-3; // Henry
C=1.0E-6; // Farad

ResFreq=1/sqrt(L*C); 

Umax=1; // Volt

faktor=3;
w0=ResFreq/faktor;
wEnd=ResFreq*faktor;
steps=100*faktor; 

wData=linspace(w0,wEnd,steps);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

df=R/(2*L); // Dämpfungsfaktor

disp(ResFreq/(2*%pi));
disp(sqrt(df));

URData=[];
ULData=[];
UCData=[];

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function rI0=fI0(w)
    Nr=sqrt(R^2+(1/(w*C)-(w*L))^2);
    rI0=Umax/Nr;
endfunction

nbpionts=size(wData,"c");

for Ix=1:nbpionts
    URData(Ix)=fI0(wData(Ix))*R;
    ULData(Ix)=fI0(wData(Ix))*(wData(Ix)*L);
    UCData(Ix)=fI0(wData(Ix))*1/(wData(Ix)*C);
end

wData=wData/(2*%pi);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

f=scf(2);
clf(f,"reset");
a=gca();

drawlater();
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

xtitle ( " Serielles RLC-Glied - U_R0, U_L0, U_C0 gegen Frequenz; R=10 Ohm " ,..
         " Frequenz  [1/s] ",..
         " U  [V] " );

a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

plot2d(wData,[URData,ULData,UCData]);
legend(["U_R0";"U_L0";"U_C0"]);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

[URmax,URmaxind] = max(URData); 
wUR = wData(URmaxind); 

xpoly([wUR;wUR],[0;3.45]);

e=gce();
set(e,"foreground",5);

disp(wUR);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
drawnow();





