funcprot(0);
//------------------------------------------------------------------------------

R1=100; // Ohm 90
R2=1000; // Ohm 900
C1=3.0E-06; // Farad
C2=1.0E-06; // Farad 0.1E-06

T0=0;
Tend=0.05; Tp=0.00001; // Periode
tData=T0:Tp:Tend;

// Rauschen
iData=rand(tData,"normal");;

// Definition des linearen Systems
p=1/(R1*C1)+1/(R2*C1)+1/(R2*C2); 
q=1/(R1*R2*C1*C2);
r=1/(R2*C2);

s=poly(0,'s');
D=r*s; N=q+p*s+s^2;
sl=syslin('c',D,N)
rData=csim(iData,tData,sl);

disp(sqrt(q)/(2*%pi));

y=fft(rData);
Nt=size(tData,'*');
sample_rate=1/Tp; fv=sample_rate*(0:(Nt/2))/Nt;
nf=size(fv,'*')/5; // 3

xd=fv(1:nf); yd=abs(y(1:nf));

function rSpout=fSpout(f)  // not squared!
    om=2*%pi*f;
    om2=(om)^2;
    rSpout=(r*om)/sqrt((q-om2)^2+p^2*om2);
endfunction

Spoutv=[];
for Ix=1:nf
    Spoutv(Ix)=fSpout(xd(Ix));
end
[mSpoutv, fmax]=max(Spoutv);
disp(mSpoutv);
disp(xd(fmax));

yd=yd/60;

f=scf(2); clf(f,"reset"); a=gca();
a.labels_font_size=3; a.x_label.font_size = 3;
a.y_label.font_size = 3; a.title.font_size = 3;

plot(xd,yd);
plot(xd,Spoutv,"red");
legend(["fft-Daten","|T|-Daten"]);
xtitle("Weißes Rauschen - Frequenzspektrum Uc2",..
       "Frequenz [Hz]", " ");

Tn=fv(1); Te=fv(nf);

nbr=11; // number of breakpoints
xfit=linspace(Tn,Te,nbr);

// compute the spline
[yfit,dfit]=lsq_splin(xd',yd',xfit');  // use equal weights

ys = interp(xd',xfit',yfit,dfit);

f=scf(3); clf(f,"reset"); a=gca();
a.labels_font_size=3; a.x_label.font_size = 3;
a.y_label.font_size = 3; a.title.font_size = 3;

plot2d(xd',[yd' ys],style=[-1 5]);
legend(["fft-Werte","Spline-Fit"]);
xtitle("Weißes Rauschen - Fit Frequenzspektrum Uc2",..
       "Frequenz [Hz]", " ");










