// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
funcprot(0);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
fak=50;
R=10; // Ohm
L=0.0633*fak; // Henry
C=0.0010*fak; // Farad

ResFreq=1/sqrt(L*C); 

frq=20;
frak=50;
omega1=2*%pi*frq;
omega2=omega1/frak;
Umax=1; // Volt

Tf=(2*%pi)/omega1;
t0=0;
N=60; //7 5
tend=N*Tf;
steps_per1=100;
steps=N*steps_per1+1; 

tData=linspace(t0,tend,steps);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

disp(L);
disp(C);

rf=1/(L*C); // Resonanzfaktor
df=1/(R*C); // Dämpfungsfaktor
disp(ResFreq/(2*%pi));
disp(sqrt(df));

z0=[0;0]; // Ua(0); Uadot(0)

zData=[];

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function rUi=fUi(t)
    rUi=Umax*sin(omega1*t)+Umax*sin(omega2*t);
endfunction

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function zdot=fRLC_R(t,z)
    z1=z(1);
    z2=z(2);
    zdot(1)=z2;
    
    inputData=[];
    inputData=rf*fUi(t);
    
    zdot(2)=inputData-df*z2-rf*z1;
endfunction

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

UiData=fUi(tData);

zRData=ode(z0,t0,tData,fRLC_R);
zLData=UiData-zRData(1,:);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

f=scf(2);
clf(f,"reset");
a=gca();

drawlater();
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

xtitle ( "Das Tiefpass-Filter " ,..
         " t  [s] ",..
         " U  [V] " );

a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

//plot2d(tData,[UiData',zRData(1,:)',zLData(1,:)']);
//legend(["U_i";"U_R";"U_L"]);

plot2d(tData,[UiData',zRData(1,:)']);
legend(["U_i";"U_R"]);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
drawnow();





