funcprot(0);
//------------------------------------------------------------------------------

R=100; // Ohm
L=1.0E-03; // Henry
C=1.0E-06; // Farad

Tend=0.05; Tp=0.00001; // Periode
tData=0:Tp:Tend;

// Rauschen
iData=rand(tData,"normal");;

// Definition des linearen Systems
p=1/(R*C); q=1/(L*C);
s=poly(0,'s');
D=q; N=q+p*s+s^2;
sl=syslin('c',D,N)
rData=csim(iData,tData,sl);

y=fft(rData);
Nt=size(tData,'*');
sample_rate=1/Tp; fv=sample_rate*(0:(Nt/2))/Nt;
nf=size(fv,'*'); nf=nf/3;

f=scf(2); clf(f,"reset"); a=gca();
a.labels_font_size=3; a.x_label.font_size = 3;
a.y_label.font_size = 3; a.title.font_size = 3;

plot(fv(1:nf),abs(y(1:nf)));
xtitle("Weißes Rauschen - Frequenzspektrum Uc mit R=100 Ohm",..
       "Frequenz [Hz]", " ");

