funcprot(0);
//------------------------------------------------------------------------------

R=100; // Ohm
L=1.0E-03; // Henry
C=1.0E-06; // Farad

T0=0;
Tend=0.05; Tp=0.00001; // Periode
tData=T0:Tp:Tend;

// Rauschen
iData=rand(tData,"normal");;

// Definition des linearen Systems
p=1/(R*C); q=1/(L*C);
s=poly(0,'s');
D=q; N=q+p*s+s^2;
sl=syslin('c',D,N)
rData=csim(iData,tData,sl);


f=scf(2); clf(f,"reset"); a=gca();
a.labels_font_size=3; a.x_label.font_size = 3;
a.y_label.font_size = 3; a.title.font_size = 3;

plot(tData,iData, "yellow");
plot(tData,rData);

legend(["Weißes Rauschen","Uc-Daten"]);
xtitle("Weißes Rauschen - Uc mit R=100 Ohm",..
       "Zeit [s]", "Uc [V]");











