funcprot();
//------------------------------------------------------------------------------
R=200; // Ohm
L=1.0E-3; // Henry
C=1.0E-6; // Farad

p=1/(R*C);
q=1/(L*C);

fr=sqrt(q)/(2*%pi);
disp(sqrt(q),fr);
disp(p^2-4*q);

T0=500; Tend=20000; Tp=10; // Periode
tData=T0:Tp:Tend;

function rReT=fReT(fr)
    om=2*%pi*fr;
    tau=(q-om^2)/(p*om);
    rReT=1/(1+tau^2);
endfunction

function rImT=fImT(fr)
    om=2*%pi*fr;
    tau=(q-om^2)/(p*om);
    rImT=tau/(1+tau^2);
endfunction

nb=size(tData,"c");

rData=[];
for Ix=1:nb
    rimData(Ix)=fImT(tData(Ix));
    rreData(Ix)=fReT(tData(Ix));
end

f=scf(3); clf(f,"reset"); a=gca();
a.labels_font_size=3; a.x_label.font_size = 3;
a.y_label.font_size = 3; a.title.font_size = 3;

plot2d(tData,[rreData,rimData],style=[2, 5]);
legend(["Realteil","Imaginärteil"]);
xtitle("Transfer-Funktion Uc mit R=200 Ohm",..
       "Frequenz [Hz]", " ");
       
       
