// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
funcprot(0);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

R10=10;  // Ohm
R100=100; // Ohm
L=1.0E-3; // Henry
C=1.0E-6; // Farad

q=1/(L*C);

p10=1/(R10*C);
p100=1/(R100*C);

om10_1=0.5*(-p10+sqrt(p10^2-4*q));
om10_2=0.5*(-p10-sqrt(p10^2-4*q));

disp(om10_2,om10_1);
disp(1/(om10_1-om10_2));

om100_d=-0.5*p100;
om100_s=0.5*sqrt(4*q-p100^2);

disp(om100_s,om100_d);
disp(1/om100_s);

ResFreq=1/(2*%pi*sqrt(L*C)); 
Tf=1/ResFreq;

Umax=1; // Volt

faktor=5;
w0=0;
wEnd=Tf*faktor;
steps=100*faktor; 

tData=linspace(w0,wEnd,steps);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

disp(ResFreq);


Ur10Data=[];
Ur100Data=[];

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function rU10=fU10(t)
    rU10=p10/(om10_1-om10_2)*(exp(om10_1*t)-exp(om10_2*t));
endfunction

function rU100=fU100(t)
    rU100=(p100/om100_s)*exp(om100_d*t)*sin(om100_s*t);
endfunction

r2d=180/%pi;
nbpionts=size(tData,"c");

for Ix=1:nbpionts
    Ur10Data(Ix)=fU10(tData(Ix));
    Ur100Data(Ix)=fU100(tData(Ix));
end

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

f=scf(2);
clf(f,"reset");
a=gca();

drawlater();
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

xtitle ( " Widerstand und Parallelschwingkreis in Reihe - Spannung am Kondensator " ,..
         " Zeit  [s] ",..
         " Spannung  [v] " );

a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

plot2d(tData,[Ur10Data,Ur100Data]);
legend(["10 Ohm";"100 Ohm"]);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
drawnow();





