//------------------------------------------------------------------------------
R=10; // Ohm
L=1.0E-3; // Henry
C=1.0E-6; // Farad

p=1/(R*C);
q=1/(L*C);

fr=sqrt(q)/(2*%pi);
disp(sqrt(q),fr);

disp(p^2-4*q);

s=poly(0,'s');
D=p*s;
N=s^2+p*s+q;
disp(roots(N));
h=syslin('c',D,N);
clf();


f=scf(2); clf(f,"reset"); a=gca();
a.labels_font_size=3; 

nyquist(h,1000,10000,"R=10 Ohm",%f);

// add a datatip

h_h=a.children($).children(2);//handle on Nyquist curve of h
tip=datatipCreate(h_h,[1,0]);
datatipSetOrientation(tip,"upper left");

