// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
funcprot(0);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

R=10; // Ohm
L=1.0E-3; // Henry
C=1.0E-6; // Farad

ResFreq=1/sqrt(L*C); 

Umax=1; // Volt

faktor=5;
w0=ResFreq/faktor;
wEnd=ResFreq*faktor;
steps=100*faktor; 

wData=linspace(w0,wEnd,steps);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

disp(ResFreq/(2*%pi));

URData=[];

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function rU0=fU0(w)
    a=1/(w*C)-(w*L);
    b=L/(R*C);
    c=sqrt(a^2+b^2);
    rU0=Umax*abs(a)/c;
endfunction

nbpionts=size(wData,"c");

for Ix=1:nbpionts
    URData(Ix)=fU0(wData(Ix));
end

wData=wData/(2*%pi);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

f=scf(2);
clf(f,"reset");
a=gca();

drawlater();
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

xtitle ( " Widerstand und Parallelschwingkreis in Reihe - U_R0  gegen Frequenz; R=10 Ohm " ,..
         " Frequenz  [1/s] ",..
         " U  [V] " );

a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

plot2d(wData,[URData]);
legend(["U_R0"]);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
drawnow();





