funcprot(0);
//------------------------------------------------------------------------------

R=10; // Ohm
L=1.0E-03; // Henry
C=1.0E-06; // Farad

T0=0;
Tend=0.05; Tp=0.00001; // Periode
tData=T0:Tp:Tend;

// Rauschen
iData=rand(tData,"normal");;

// Definition des linearen Systems
p=1/(R*C); q=1/(L*C);
s=poly(0,'s');
D=p*s; N=q+p*s+s^2;
sl=syslin('c',D,N)
rData=csim(iData,tData,sl);

y=fft(rData);
Nt=size(tData,'*');
sample_rate=1/Tp; fv=sample_rate*(0:(Nt/2))/Nt;
nf=size(fv,'*')/3; 

xd=fv(1:nf); yd=abs(y(1:nf));

function rSpout=fSpout(f)  // not squared!
    om=2*%pi*f;
    om2=om^2;
    rSpout=(p*om)/sqrt((q-om2)^2+p^2*om2);
endfunction

Spoutv=[];
for Ix=1:nf
    Spoutv(Ix)=fSpout(xd(Ix));
end

const=55; //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
yd=yd/const;

Tn=fv(1); Te=fv(nf);

nbr=11; // 11 number of breakpoints
xfit=linspace(Tn,Te,nbr);

// compute the spline
[yfit,dfit]=lsq_splin(xd',yd',xfit');  // use equal weights

ys = interp(xd',xfit',yfit,dfit);

disp(max(ys));

f=scf(2); clf(f,"reset"); a=gca();
a.labels_font_size=3; a.x_label.font_size = 3;
a.y_label.font_size = 3; a.title.font_size = 3;

plot(xd,yd);
plot(xd,Spoutv,"red");
legend(["fft-Daten","|T|-Daten"]);
xtitle("Weißes Rauschen - Frequenzspektrum Uc mit R=10 Ohm",..
       "Frequenz [Hz]", " ");

f=scf(3); clf(f,"reset"); a=gca();
a.labels_font_size=3; a.x_label.font_size = 3;
a.y_label.font_size = 3; a.title.font_size = 3;

plot2d(xd',[yd' ys],style=[-1 5]);
legend(["fft-Werte","Spline-Fit"]);
xtitle("Weißes Rauschen - Fit Frequenzspektrum Uc mit R=10 Ohm",..
       "Frequenz [Hz]", " ");










