funcprot(0);
//------------------------------------------------------------------------------

R=100; // Ohm
L=1.0E-03; // Henry
C=1.0E-06; // Farad

p=1/(R*C); q=1/(L*C);

// Ausgangsspektrum

//function rSpout=fSpout(f)
//    om2=(2*%pi*f)^2;
//    rSpout=q^2/((q-om2)^2+p^2*om2);
//endfunction

function rSpout=fSpout(f)  // not squared!
    om=2*%pi*f;
    om2=om^2;
    rSpout=(p*om)/sqrt((q-om2)^2+p^2*om2);
endfunction

nf=20000;
xd=1:nf;
Spoutv=[];

for Ix=1:nf
    Spoutv(Ix)=fSpout(Ix);
end

//------------------

f=scf(2); clf(f,"reset"); a=gca();
a.labels_font_size=3; a.x_label.font_size = 3;
a.y_label.font_size = 3; a.title.font_size = 3;

plot(xd,Spoutv,"red");
legend(["|T(i 2pi f)|"]);
xtitle("Weißes Rauschen - Frequenzspektrum Uc mit R=100 Ohm",..
       "Frequenz [Hz]", " ");











