// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
funcprot(0);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

R=10; // Ohm
L=1.0E-3; // Henry
C=1.0E-6; // Farad

ResFreq=1/sqrt(L*C); 

Umax=1; // Volt

faktor=5;
w0=ResFreq/faktor;
wEnd=ResFreq*faktor;
steps=100*faktor; 

wData=linspace(w0,wEnd,steps);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

df=R/(2*L); // Dämpfungsfaktor

disp(ResFreq/(2*%pi));
disp(sqrt(df));

Ur1Data=[];
Ur2Data=[];
Ur3Data=[];

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function rPh=fPhase(w,r)
    rPh=atan((1/r)*(1/(w*C)-(w*L)));
endfunction

rad2deg=180/%pi;
nbpionts=size(wData,"c");
faktor=5;

for Ix=1:nbpionts
    Ur1Data(Ix)=rad2deg*fPhase(wData(Ix),R/faktor);
    Ur2Data(Ix)=rad2deg*fPhase(wData(Ix),R);
    Ur3Data(Ix)=rad2deg*fPhase(wData(Ix),R*faktor);
end

wData=wData/(2*%pi);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

f=scf(2);
clf(f,"reset");
a=gca();

drawlater();
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

xtitle ( " Serielles RLC-Glied - Phase gegen Frequenz " ,..
         " Frequenz  [1/s] ",..
         " Phase  [°] " );

a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

plot2d(wData,[Ur1Data,Ur2Data,Ur3Data]);
legend(["2 Ohm";"10 Ohm";"50 Ohm"]);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
drawnow();





