funcprot(0);

R=10; // Ohm
L=1.0E-3; // Henry
C=1.0E-6; // Farad

Rf=1/sqrt(L*C);
disp(Rf/(2*%pi));
kfrq=Rf*1.0; //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

// System Matrizen
A=[-R/L, -1/L; 1/C, 0];
B=[1/L; 0];
C=[0, 1];
D=[0];

// Definition des linearen Systems
sl=syslin('c',A,B,C,D)

// Spannung am Kondensator
tData=linspace(0,1.4e-3,1001);
iData=sin(kfrq*tData);
rData=csim(iData,tData,sl);

f=scf(2);
clf(f,"reset");
a=gca();

drawlater();
xtitle ( "Serielles RLC-Glied  (w = w_r) " ,..
         " t  [s] ",..
         " U  [V] " );
a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;

plot(tData,[iData',rData']);
legend(["U_i";"U_C"]);
drawnow();

