// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
funcprot(0);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

R=10; // Ohm
L=1.0E-3; // Henry
C=1.0E-6; // Farad

ResFreq=1/sqrt(L*C); 

omega=ResFreq*0.50; //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
Umax=1; // Volt

Tf=(2*%pi)/omega; // s

t0=0;
N=7; //5
tend=N*Tf;

steps_per1=100;
steps=N*steps_per1+1; 

tData=linspace(t0,tend,steps);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

rf=1/(L*C); // Resonanzfaktor
df=R/L; // Dämpfungsfaktor

disp(ResFreq);
disp(sqrt(df));

z0=[0;0]; // Ua(0); Uadot(0)

zData=[];

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function rUi=fUi(t)
    rUi=Umax*sin(omega*t);
endfunction

function rdUi=fdUi(t)
    rdUi=Umax*omega*cos(omega*t);
endfunction

function rddUi=fddUi(t)
    rddUi=-Umax*omega^2*sin(omega*t);
endfunction

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function zdot=fRLC_C(t,z)
    z1=z(1);
    z2=z(2);
    zdot(1)=z2;
    
    inputData=[];
    inputData=rf*fUi(t);
    
    zdot(2)=inputData-df*z2-rf*z1;
endfunction

function zdot=fRLC_L(t,z)
    z1=z(1);
    z2=z(2);
    zdot(1)=z2;
    
    inputData=[];
    inputData=fddUi(t);

    zdot(2)=inputData-df*z2-rf*z1;
endfunction

function zdot=fRLC_R(t,z)
    z1=z(1);
    z2=z(2);
    zdot(1)=z2;
    
    inputData=[];
    inputData=df*fdUi(t);

    zdot(2)=inputData-df*z2-rf*z1;
endfunction

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

zCData=ode(z0,t0,tData,fRLC_C);
zLData=ode(z0,t0,tData,fRLC_L);
zRData=ode(z0,t0,tData,fRLC_R);

UiData=fUi(tData);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

f=scf(2);
clf(f,"reset");
a=gca();

drawlater();
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

xtitle ( "Serielles RLC-Glied  (w = w_r * 0.5) " ,..
         " t  [s] ",..
         " U  [V] " );

a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

plot2d(tData,[UiData',zCData(1,:)',zLData(1,:)']);
legend(["U_i";"U_C";"U_L"]);

//plot2d(tData,[UiData',zRData(1,:)']);
//legend(["U_i";"U_R"]);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
drawnow();





