funcprot(0);
//------------------------------------------------------------------------------

R=10; // Ohm
L=3.165; // Henry
C=0.05; // Farad

w=1/sqrt(L*C); // Kreisfrquenz
Tend=20;
Tp=0.01; // Periode
tData=0:Tp:Tend;

// Sinus mit Rauschen
ssignal=sin(w*tData);
wnoise=rand(tData,"normal");
iData=ssignal+wnoise;

// System Matrizen
A=[-R/L, -1/L; 1/C, 0];
B=[1/L; 0];
C=[0, 1];
D=[0];

// Definition des linearen Systems
sl=syslin('c',A,B,C,D)
rData=csim(iData,tData,sl);

f=scf(2);
clf(f,"reset");
a=gca();
a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;

plot(tData,iData,"color","green");
plot(tData,rData,"color","red");
legend(["Ui";"Uc"]);
xtitle("Serielles LCR-Glied - Verrauschte Eingangsspannung",..
       "Zeit [s]", "Uc [V] ");

